Organizations
Organizations the authenticated user belongs to. Use organization IDs from this endpoint as org_id for organization-scoped artifact, brand, theme, and asset calls.
List organizations
Returns the organizations the authenticated user belongs to. Each entry has an id that can be passed as org_id to scope subsequent calls to that organization.
Authorization
AuthorizationRequiredBearer <token>NextDocs API key (nxd_xxx format)
In: header
Response Body
A paginated list of resources.
TypeScript Definitions
Use the response body type in TypeScript.
objectRequiredstringValue in:
"list"dataRequiredarray<object>has_moreRequiredbooleanWhether there are more items after this page.
Authentication required or API key is invalid.
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectcurl -X GET "https://api.nextdocs.io/v1/organizations" \
-H "Authorization: Bearer <token>"fetch("https://api.nextdocs.io/v1/organizations", {
headers: {
"Authorization": "Bearer <token>"
}
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.nextdocs.io/v1/organizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.nextdocs.io/v1/organizations"
response = requests.request("GET", url, headers = {
"Authorization": "Bearer <token>"
})
print(response.text){
"object": "list",
"data": [
{
"object": "organization",
"id": "org_2abc123",
"name": "Acme Inc",
"slug": "acme-inc",
"role": "MEMBER",
"quota": {
"monthly_free_cents_limit": 500,
"monthly_free_cents_used": 123.45,
"bonus_credits": 0,
"document_export_limit": 3,
"document_export_used": 1,
"reset_date": "2026-05-01T00:00:00.000Z"
},
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-04-01T08:00:00.000Z"
}
],
"has_more": false
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}